Name:           perl-String-Ediff
Version:        0.08
Release:        4%{?dist}
Summary:        Produce common sub-string indices for two strings

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/String-Ediff/
Source0:        http://www.cpan.org/authors/id/B/BO/BOXZOU/String-Ediff-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
String::Ediff is a Perl module for producing common sub-string indices
for two strings.  It uses suffix tree algorithm to determine the
common substrings.


%prep
%setup -q -n String-Ediff-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorarch}/auto/String/
%{perl_vendorarch}/String/
%{_mandir}/man3/String::Ediff.3*


%changelog
* Wed Aug 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.08-4
- Fix order of arguments to find(1).

* Thu Feb 16 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.08-3
- Rebuild.

* Thu Jan 19 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.08-2
- Rebuild, cosmetics.

* Mon Aug  8 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.08-1
- 0.08.

* Wed Aug  3 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.07-2
- 0.07.
- Clean up pre-FC2 compatibility stuff from specfile.

* Wed Apr 13 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.06-1
- 0.06.

* Thu Mar 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.05-1
- 0.05, should fix #150012.

* Fri Feb 18 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.04-1
- 0.04.
- Add perl(:MODULE_COMPAT_*) dependency, install with pure_install.

* Sun Feb  1 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.03-0.fdr.4
- Reduce number of owned directories.

* Wed Oct 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.03-0.fdr.3
- Spec cleanup.

* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.03-0.fdr.2
- Install into vendor dirs.

* Fri Aug  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.03-0.fdr.1
- Update to 0.03.

* Fri Aug  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.02-0.fdr.1
- Update to 0.02.

* Tue Jul 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.01-0.fdr.2
- Use fedora-rpm-helper.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.01-0.fdr.1
- First release.
